#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");
KSYMTAB_FUNC(nvKmsKapiF16ToF32, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToF16, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Mul, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Div, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Add, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToUI32RMinMag, "", "");
KSYMTAB_FUNC(nvKmsKapiUI32ToF32, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0xc7feb2a2, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6626afca, "down" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4b88e34, "single_release" },
	{ 0x2a2a7055, "single_open" },
	{ 0xa86bdabe, "__seq_puts" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x20c054e7, "const_pcpu_hot" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x53b954a2, "up_read" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0ee8cd2, "seq_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xaa54edef, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x668b19a1, "down_read" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x16b29578, "proc_remove" },
	{ 0xd1a41b1a, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x999e8297, "vfree" },
	{ 0x7a275223, "filp_open" },
	{ 0x5343493, "kernel_read" },
	{ 0x32492343, "filp_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb0e602eb, "memmove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x754d539c, "strlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1000e51, "schedule" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x148653, "vsnprintf" },
	{ 0x193c3c08, "nvidia_get_rm_ops" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xe99801d4, "cdev_init" },
	{ 0x6ce597d0, "cdev_add" },
	{ 0xc65333bd, "proc_mkdir_mode" },
	{ 0x10033895, "proc_create_data" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26bebfa2, "kmalloc_caches" },
	{ 0x6e2d766c, "__kmalloc_cache_noprof" },
	{ 0xc4f36d33, "fget" },
	{ 0xe11767cd, "fput" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9ba0fb2, "backlight_device_register" },
	{ 0x2f37ecc6, "backlight_device_unregister" },
	{ 0xa20bc4c6, "seq_lseek" },
	{ 0xc3aabdad, "param_ops_charp" },
	{ 0xbc5a2ed3, "param_ops_bool" },
	{ 0x335892a0, "param_ops_int" },
	{ 0xc828c8f3, "param_ops_uint" },
	{ 0x4efc504a, "pcpu_hot" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf1446598, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4ace21f2, "vmalloc_to_page" },
	{ 0x4b65807e, "kthread_stop" },
	{ 0xc8fce47d, "wake_up_process" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x190e151d, "module_layout" },
};

MODULE_INFO(depends, "nvidia,video");


MODULE_INFO(srcversion, "C6CC9B83DAF73957E723E59");
